Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.pags
Class XMLPersonAttributesConfiguration

    java.lang.Object
      org.jasig.portal.groups.pags.XMLPersonAttributesConfiguration

All Implemented Interfaces:
  IPersonAttributesConfiguration

    public class XMLPersonAttributesConfiguration

extends java.lang.Object
implements IPersonAttributesConfiguration

Read in the configuration for the Person Attributes group store using an XML file. See the example file in /properties/groups/PAGSGroupStoreConfig.xml and the DTD in /webpages/dtd/PAGSGroupStore.dtd for information on the file format.

Version:
  $Revision: 1.2 $
Author:
  Al Wold

Constructor Summary
`XMLPersonAttributesConfiguration()`

Method Summary
`private void` | `addMemberKeys(PersonAttributesGroupStore.GroupDefinition groupDef, org.w3c.dom.Element members)`
`java.util.Map` | `getConfig()` Get the group definitions for the store.
`private PersonAttributesGroupStore.GroupDefinition` | `initGroupDef(org.w3c.dom.Element groupElement)`
`private IPersonTester` | `initializeTester(java.lang.String tester, java.lang.String attribute, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLPersonAttributesConfiguration

    public XMLPersonAttributesConfiguration()

Method Detail

### getConfig

    public java.util.Map getConfig()

  Description copied from interface: `IPersonAttributesConfiguration`
  Get the group definitions for the store. Implementations should initialize a Map of PersonAttributesGroupStore.GroupDefinition objects.

  Specified by:
    `getConfig` in interface `IPersonAttributesConfiguration`
  Returns:
    Map consisting of group definitions, keyed by group key

### initGroupDef

    private PersonAttributesGroupStore.GroupDefinition initGroupDef(org.w3c.dom.Element groupElement)

### addMemberKeys

    private void addMemberKeys(PersonAttributesGroupStore.GroupDefinition groupDef,
                               org.w3c.dom.Element members)

### initializeTester

    private IPersonTester initializeTester(java.lang.String tester,
                                           java.lang.String attribute,
                                           java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD